needrestart 1.2

needrestart checks which daemons need to be restarted after library upgrades. It is inspired by checkrestart from the debian-goodies package.

needrestart supports but does not require systemd. If systemd is not available or does not return a service name needrestart uses hooks to identify the corresponding System V init script. The shipped hooks support the following package managers:

  • dpkg
  • rpm
  • pacman

The service command is used to run the tradiditional System V init script.

Changes in 1.2

  • Prepare po-debconf usage and add German translation. (Debian Bug#761068 by David Prévot <taffit@debian.org>)
  • Drop dependency on Term::ProgressBar::Simple. (Debian Bug#761192 by Thijs Kinkhorst <thijs@debian.org>)
  • Fix blacklist to match upgraded binaries (dpkg). (Debian Bug#761346 by Paul Wise <pabs@debian.org>)
  • Fix detection of unit names on systemd 215+. (Debian Bug#762312 by Sven Hartge <sven@svenhartge.de>)
  • Ignore special paths (SYSV IPC, DRM, /dev), fixing some false positives.
  • Add service blacklist configuration option to fix display manager blacklisting with systemd.
  • Handle restarts of systemd manager and sysv init using their specific commands. (Debian Bug#762528 by Paul Wise <pabs@debian.org>)

See also


Comments !